VSTGUI: MemoryContentProvider Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MemoryContentProvider Class Reference

`#include <uicontentprovider.h>`

Inheritance diagram for MemoryContentProvider:

## Public Member Functions
| MemoryContentProvider (const void *data, uint32_t dataSize)
uint32_t | readRawData (int8_t *buffer, uint32_t size) override
void | rewind () override
Public Member Functions inherited from CMemoryStream
| CMemoryStream (uint32_t initialSize=1024, uint32_t delta=1024, bool binaryMode=true, ByteOrder byteOrder=kNativeByteOrder)
| CMemoryStream (const int8_t *buffer, uint32_t bufferSize, bool binaryMode=true, ByteOrder byteOrder=kNativeByteOrder)
| ~CMemoryStream () noexcept override
uint32_t | writeRaw (const void *buffer, uint32_t size) override
uint32_t | readRaw (void *buffer, uint32_t size) override
int64_t | seek (int64_t pos, SeekMode mode) override
| returns -1 if seek fails otherwise new position
int64_t | tell () const override
const int8_t * | getBuffer () const
bool | operator<< (const std::string &str) override
bool | operator>> (std::string &string) override
bool | end ()
bool | operator<< (const int8_t &input)
bool | operator<< (const uint8_t &input)
bool | operator<< (const int16_t &input)
bool | operator<< (const uint16_t &input)
bool | operator<< (const int32_t &input)
bool | operator<< (const uint32_t &input)
bool | operator<< (const int64_t &input)
bool | operator<< (const uint64_t &input)
bool | operator<< (const double &input)
bool | operator>> (int8_t &output)
bool | operator>> (uint8_t &output)
bool | operator>> (int16_t &output)
bool | operator>> (uint16_t &output)
bool | operator>> (int32_t &output)
bool | operator>> (uint32_t &output)
bool | operator>> (int64_t &output)
bool | operator>> (uint64_t &output)
bool | operator>> (double &output)
Public Member Functions inherited from OutputStream
| OutputStream (ByteOrder byteOrder=kNativeByteOrder)
virtual | ~OutputStream () noexcept=default
ByteOrder | getByteOrder () const
void | setByteOrder (ByteOrder newByteOrder)
bool | operator<< (const int8_t &input)
bool | operator<< (const uint8_t &input)
bool | operator<< (const int16_t &input)
bool | operator<< (const uint16_t &input)
bool | operator<< (const int32_t &input)
bool | operator<< (const uint32_t &input)
bool | operator<< (const int64_t &input)
bool | operator<< (const uint64_t &input)
bool | operator<< (const double &input)
Public Member Functions inherited from InputStream
| InputStream (ByteOrder byteOrder=kNativeByteOrder)
virtual | ~InputStream () noexcept=default
ByteOrder | getByteOrder () const
void | setByteOrder (ByteOrder newByteOrder)
bool | operator>> (int8_t &output)
bool | operator>> (uint8_t &output)
bool | operator>> (int16_t &output)
bool | operator>> (uint16_t &output)
bool | operator>> (int32_t &output)
bool | operator>> (uint32_t &output)
bool | operator>> (int64_t &output)
bool | operator>> (uint64_t &output)
bool | operator>> (double &output)
Public Member Functions inherited from SeekableStream
virtual | ~SeekableStream () noexcept=default
Public Member Functions inherited from ReferenceCounted< std::atomic< int32_t > >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
| ReferenceCounted ()=default
| ReferenceCounted (const ReferenceCounted &)
virtual | ~ReferenceCounted () noexcept=default
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
Public Member Functions inherited from IContentProvider
virtual | ~IContentProvider () noexcept=default

## Additional Inherited Members
Public Types inherited from SeekableStream
enum | SeekMode { kSeekSet , kSeekCurrent , kSeekEnd }
Protected Member Functions inherited from CMemoryStream
bool | resize (uint32_t newSize)
Protected Attributes inherited from CMemoryStream
int8_t * | buffer
uint32_t | bufferSize
uint32_t | size
uint32_t | pos
uint32_t | delta
bool | binaryMode
bool | ownsBuffer

## Constructor & Destructor Documentation

## ◆ MemoryContentProvider()

MemoryContentProvider | ( | const void * | data,
|  | uint32_t | dataSize )

## Member Function Documentation

## ◆ readRawData()

uint32_t readRawData | ( | int8_t * | buffer,
|  | uint32_t | size )
| overridevirtual

Implements IContentProvider.

## ◆ rewind()

void rewind | ( |  | ) |
| overridevirtual

Reimplemented from CMemoryStream.

The documentation for this class was generated from the following files:

- uicontentprovider.h
- uicontentprovider.cpp